### Struct

# Qmi MessageWdaGetDataFormatInput

since: 1.10

#### Description [src]

    struct QmiMessageWdaGetDataFormatInput {
      /* No available fields */
    }

The `QmiMessageWdaGetDataFormatInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.10

#### Constructors

###### qmi_message_wda_get_data_format_input_new

Allocates a new `QmiMessageWdaGetDataFormatInput`.

since: 1.10

#### Instance methods

###### qmi_message_wda_get_data_format_input_get_endpoint_info

Get the ‘Endpoint Info’ field from `self`.

since: 1.26

###### qmi_message_wda_get_data_format_input_ref

Atomically increments the reference count of `self` by one.

since: 1.10

###### qmi_message_wda_get_data_format_input_set_endpoint_info

Set the ‘Endpoint Info’ field in the message.

since: 1.26

###### qmi_message_wda_get_data_format_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.10